# Editorial Interface

Currently, our editorial process starts with either a submission to our [intake form](https://docs.google.com/forms/d/e/1FAIpQLSe-jxZrx257Xce7JTa_QeaQmmQEQJfLlrBKjSzgHtNs5T-oKg/viewform?usp=dialog), or by someone creating an issue in [GitHub](https://github.com/avidml/avid-db). Then we have a manual four step process:

1. An Editor maps inputs to a `Report` datamodel and, then publishes it as a JSON file [for review](https://github.com/avidml/avid-db/tree/main/reports/review),
2. The Editor checks and edits report as needed, assigns [taxonomy categories](https://github.com/avidml/avid-db/tree/grants/schema/taxonomy_misp), then moves it to the [database](https://github.com/avidml/avid-db) as `reports/20XX/AVID-20XX-RXXXX.json`,
3. The Editor may convert report to a new vuln or merge with an existing vuln, saved as `vulnerabilities/20XX/AVID-20XX-VXXX.json` (*currently paused for new releases while AVID refines a working AI vulnerability definition*),
4. Webmaster renders new reports and vulns to markdown files in the [website source](https://github.com/avidml/website/tree/main/exampleSite/content/database).

We plan to make this less manual over the course of the next few months by building an editorial UI and creating necessary integrations to enable developers push reports to AVID easily, and with more complete information upfront. Decision logs for each report will be logged in GitHub for openness and transparency.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avidml.org/database/editorial-interface.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
